"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const binder_base_1 = require("./binder-base");
class ApiConventionBinder extends binder_base_1.BinderBase {
    bind(routeInfo, parameterName, request) {
        if (routeInfo.classMetaData.baseClass == "ApiController") {
            let index = routeInfo.methodMetaData.parameters.findIndex(x => x.name == parameterName);
            if (index == 0 && routeInfo.methodMetaData.name == "add")
                return this.exit(request.body);
            if (index == 1 &&
                (routeInfo.methodMetaData.name == "replace" ||
                    routeInfo.methodMetaData.name == "modify"))
                return this.exit(request.body);
        }
        return this.next();
    }
}
exports.ApiConventionBinder = ApiConventionBinder;
