"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const auto_converter_1 = require("./auto-converter");
const base_converter_1 = require("./base-converter");
class DefaultValueConverter extends base_converter_1.BaseConverter {
    convert(meta, value) {
        if (typeof value == "object")
            return this.exit(value);
        return this.exit(auto_converter_1.autoConvert(value));
    }
}
exports.DefaultValueConverter = DefaultValueConverter;
