"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const kamboja_core_1 = require("kamboja-core");
class ClassNotExportedControllerAnalyzer {
    analyse(route) {
        if (route.analysis && route.analysis.some(x => x == kamboja_core_1.RouteAnalysisCode.ClassNotExported)) {
            return [{
                    code: kamboja_core_1.RouteAnalysisCode.ClassNotExported,
                    type: "Warning",
                    message: `Can not generate route because class is not exported [${route.qualifiedClassName}]`
                }];
        }
    }
}
exports.ClassNotExportedControllerAnalyzer = ClassNotExportedControllerAnalyzer;
