"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DecoratorHelper;
(function (DecoratorHelper) {
    function save(key, value, args) {
        if (args.length == 1) {
            let collections = Reflect.getMetadata(key, args[0]) || [];
            collections.push(value);
            Reflect.defineMetadata(key, collections, args[0]);
        }
        else {
            let collections = Reflect.getMetadata(key, args[0], args[1]) || [];
            collections.push(value);
            Reflect.defineMetadata(key, collections, args[0], args[1]);
        }
    }
    DecoratorHelper.save = save;
    function get(key, target, methodName) {
        if (!target)
            return [];
        if (!methodName) {
            let collections = Reflect.getMetadata(key, target.constructor);
            return collections;
        }
        else {
            let collections = Reflect.getMetadata(key, target, methodName);
            return collections;
        }
    }
    DecoratorHelper.get = get;
})(DecoratorHelper = exports.DecoratorHelper || (exports.DecoratorHelper = {}));
