"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const middleware_base_1 = require("./middleware-base");
class CallbackMiddleware extends middleware_base_1.Middleware {
    constructor(callback) {
        super();
        this.callback = callback;
    }
    execute(context, next) {
        return this.callback(context, next);
    }
}
exports.CallbackMiddleware = CallbackMiddleware;
