"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const kamboja_core_1 = require("kamboja-core");
class MiddlewareInvocation extends kamboja_core_1.Invocation {
    constructor(middleware, next) {
        super();
        this.middleware = middleware;
        this.next = next;
    }
    proceed() {
        this.next.context = this.context;
        this.next.parameters = this.parameters;
        return this.middleware.execute(this.context, this.next);
    }
}
exports.MiddlewareInvocation = MiddlewareInvocation;
