"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const kamboja_core_1 = require("kamboja-core");
const helper_1 = require("../helper");
class ConventionFailDecoratorAnalyzer {
    analyse(route) {
        if (route.analysis && route.analysis.some(x => x == kamboja_core_1.RouteAnalysisCode.ConventionFail)) {
            return [{
                    code: kamboja_core_1.RouteAnalysisCode.ConventionFail,
                    type: "Warning",
                    message: `Method name match API Convention but has lack of parameters in ${helper_1.getRouteDetail(route)}`
                }];
        }
    }
}
exports.ConventionFailDecoratorAnalyzer = ConventionFailDecoratorAnalyzer;
